Summary: Encrypted Voice Relay server
Name: evrelay
Version: 1.00
Release: 2.art
Group: Server/Telephone
License: GPL
Source: evrelay-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-root
Prefix: /usr
Vendor: SRA International
Packager: Scott R. Shinn, <scott@atomicorp.com>

%description
Encrypted Voice Relay server


%prep

%setup

%install
%{__mkdir_p} -m 0755 %{buildroot}/etc/init.d/
%{__mkdir_p} -m 0755 %{buildroot}/etc/evrelay
%{__mkdir_p} -m 0755 %{buildroot}/usr/bin
%{__mkdir_p} -m 0755 %{buildroot}/usr/share/doc/evrelay-%{version}/
%{__mkdir_p} -m 0755 %{buildroot}/usr/share/man/man1/
%{__mkdir_p} -m 0755 %{buildroot}/var/log/evrelay
%{__mkdir_p} -m 0755 %{buildroot}/var/run/evrelay

cp  etc/init.d/* %{buildroot}/etc/init.d/
cp  etc/evrelay/* %{buildroot}/etc/evrelay/
cp  usr/bin/* %{buildroot}/usr/bin/
cp  usr/share/doc/evrelay-1.00/* %{buildroot}/usr/share/doc/evrelay-1.00/
cp  usr/share/man/man1/* %{buildroot}/usr/share/man/man1/

%pre
/usr/sbin/groupadd evrelay > /dev/null 2>&1
/usr/sbin/useradd -c "EVRelay server user" -d /etc/evrelay -g evrelay -M -s /sbin/nologin evrelay > /dev/null 2>&1

## move the session store to the new location
if [ $1 -gt 1 ] && [ -e /etc/evrelay/ss ] && [ ! -e /var/run/evrelay/session_store ] ; then
    mkdir -p /var/run/evrelay
    ln /etc/evrelay/ss /var/run/evrelay/session_store || cp /etc/evrelay/ss /var/run/evrelay/session_store
fi

%post
if [ $1 = 0 ]; then
    /sbin/service evrelay stop > /dev/null 2>&1
    /sbin/chkconfig --del evrelay
fi

### This postun would bounce a server, which would drop phone calls
#%postun
#if [ $1 -ge 1 ]; then
#    /sbin/service evrelay condrestart >/dev/null 2>&1
#fi


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
/etc/evrelay/
/etc/init.d/evrelay
/usr/bin/evrdumpstate
/usr/bin/evrelay
/usr/bin/evrelay_launcher
/usr/bin/evrupdateusers
/usr/bin/evrwiretap_receive
/usr/share/doc/evrelay-1.00/INSTALLATION.html
/usr/share/doc/evrelay-1.00/README
/usr/share/man/man1/evrdumpstate.1.gz
/usr/share/man/man1/evrelay.1.gz
/usr/share/man/man1/evrupdateusers.1.gz
/usr/share/man/man1/evrwiretap_receive.1.gz
%attr(755,evrelay,evrelay)/var/log/evrelay
/var/run/evrelay





%changelog
